Обход аутентификации в Linux-PAM

Дата публикации:
26.01.2007
Дата изменения:
26.01.2007
Всего просмотров:
1834
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux-PAM 0.x
Уязвимые версии: Linux-PAM 0.99.7.0

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за ошибки в функции "_unix_verify_password()" в файле modules/pam_unix/support.c при проверке пароля пользователя. Злоумышленник может успешно авторизоваться в системе с произвольным паролем, если хеш в файле паролей является "!!" или подобный.

URL производителя: cvs.sourceforge.net/cgi-bin/viewcvs.cgi/pam/Linux-PAM/

Решение: Установите последнюю версию (0.99.7.1) с сайта производителя.

Ссылки: Linux-PAM 0.99.7.1 released

или введите имя

CAPTCHA